ProLiant Servers (ML,DL,SL)
cancel
Showing results for 
Search instead for 
Did you mean: 

Proliant DL 360 G5 & last version of Homepage (7.3.0.9)

Bruniche
Advisor

Proliant DL 360 G5 & last version of Homepage (7.3.0.9)

Hello,

 

On the different server (DL 360 G5) with Windows 2003 Standard - 32 bits version.

The both server have an old version of Homepage.

 

Looking on the driver page of this model, i see that the last version release few weeks ago (7.3.0.9 - cp020730.exe).

 

I install them on the both server - no issue on it, but when i launch the application, i have nothing.

If i look in the log file (smhstart_err.log), i have the following message :

hpsmhd.exe: Syntax error on line 57 of C:/hp/hpsmh/conf/smhpd.conf: Cannot load modules/php5apache2.so into server: The specified procedure could not be found. 

 

The file exist  => php5apache2.so (11/20/2013).

 

I have the same issue if i install the previous one version (7.2.2.9).


I works back if i desintall all & reinstall the very old one (6.3.0.22).

 

I'am the only one to have this ?

14 REPLIES
Marcin_Trzyna
Occasional Advisor

Re: Proliant DL 360 G5 & last version of Homepage (7.3.0.9)

I had exactly the same problem, but with Windows 2003 x64. I was able to recover by deinstalling SMH 7.3.0.9 and then installing back version 7.1.2.3 (cp018601.exe - the one I had before upgrading).
Marcin_Trzyna
Occasional Advisor

Re: Proliant DL 360 G5 & last version of Homepage (7.3.0.9)

As an amendment to my post above - as for today (25 Jan 2014) the latest working version of HP SMH for Windows 2003 both 32-bit (x86) and 64-bit (x64) is 7.2.2.9 (cp020257.exe and cp020258.exe, respectively).
HP Support Center/Download Options/Drivers, Software & Firmware web pages claim that the newest System Management Homepage for both W2K3 (x86 and x64) is 7.3.0.9, but that version does not work with these versions of Windows. Also Version Control Agent on W2K3 x64 wants to install version 7.3.0.9, which would not work.
pdusome
Occasional Visitor

Re: Proliant DL 360 G5 & last version of Homepage (7.3.0.9)

... And worst of all. if you upgrade your VC Repository to 7.3, no VC Agent will work except 7.3.  What a pain!

Marcin_Trzyna
Occasional Advisor

Re: Proliant DL 360 G5 & last version of Homepage (7.3.0.9)

So far I have not noticed any problems with combinations like VCA 7.2 / VCRM 7.3...

SauliusB
Advisor

Re: Proliant DL 360 G5 & last version of Homepage (7.3.0.9)

I've got answer form HP TS regarding HP VCA 7.2.2.0 working with HP VCRM 7.3.0.0

I did not got full answer of root cause of this issue but form provided command I suspect that it is is realted with SSL Cipher configuration.

 

For me these commands solved th issue.

 

Please try run follwing commands on server with HP VCRM 7.3.0.0:

 

C:\HP\hpsmh\bin>smhconfig.exe -Z ALL:!ADH:!EXPORT56:!EXPORT40:DES-CBC3-SHA:RC4-MD5:RC4-SHA:RC4+RSA:+HIGH:+MEDIUM:-SSLv2:+EXP:!LOW:!eNULL:!aNULL

 

C:\HP\hpsmh\bin>smhconfig.exe -r

 

For me these commands solved the issue.

SauliusB
Advisor

Re: Proliant DL 360 G5 & last version of Homepage (7.3.0.9)

It seems that PHP 5.5.2 added from HP SMH version 7.3.0.9 is not supported on Windows Server 2003 OS.

 

see link bellow...

 

http://www.php.net/manual/en/migration55.incompatible.php

ccoho
Advisor

Re: Proliant DL 360 G5 & last version of Homepage (7.3.0.9)

Marcin_Trzyna wrote:

As an amendment to my post above - as for today (25 Jan 2014) the latest working version of HP SMH for Windows 2003 both 32-bit (x86) and 64-bit (x64) is 7.2.2.9 (cp020257.exe and cp020258.exe, respectively).
HP Support Center/Download Options/Drivers, Software & Firmware web pages claim that the newest System Management Homepage for both W2K3 (x86 and x64) is 7.3.0.9, but that version does not work with these versions of Windows. Also Version Control Agent on W2K3 x64 wants to install version 7.3.0.9, which would not work.

you are a lifesaver.  Just ran into this myself and this was a huge help.  Its insane that the VCA will recommend an update that does not work on the server it is suggesting it for.

 

THANKS!

KarlIvanov
Occasional Visitor

Re: Proliant DL 360 G5 & last version of Homepage (7.3.0.9)

Yes, the whole thing in the PHP version.
I installed System Management Homepage 7.3.1.4 on Windows Server 2003 and then just copied the library php5apache2.so and php5ts.dll from SMHP version 7.2.2.9.
It worked for both the x64 and the x86 version.

 

TimRNL
Occasional Visitor

Re: Proliant DL 360 G5 & last version of Homepage (7.3.0.9)

Thanks KarlIvanov, your workaround worked. But replacing the php file with an older one doesn't take away the security risk. Fortunately, HP has released an new working SMH for W2K3. :D

r0k
Occasional Visitor

Re: Proliant DL 360 G5 & last version of Homepage (7.3.0.9)

I disagree!  The new version 7.3.2.0 does not work for W2K3 x86, unless there is a different version.  Still only 7.2.2.9 here.

r0k
Occasional Visitor

Re: Proliant DL 360 G5 & last version of Homepage (7.3.0.9)

Actually, version 7.2.3.1 was released yesterday that works.
Marcin_Trzyna
Occasional Advisor

Re: Proliant DL 360 G5 & last version of Homepage (7.3.0.9)

Yes, HP System Management Homepage version 7.2.3.1 is now the latest (and last, according to HP's note) working version under under Windows 2003 - it is cp023242.exe for W2K3 x86 and cp023243.exe for W2K3 x64.

 

For later Windows OSes there is currently 7.3.x.x line.

 

BTW, note the SMH version numbers and their release dates - they can be misleading, if you don't know that the 7.3.x.x versions do not support W2K3. The list below is sorted by the release dates (from newer to older):

 

Version:7.3.2.1 (B) (23 Apr 2014)  - cp023341.exe <- current version for W2K8 and later (provides fix for CVE-2014-0160 known as “Heartbleed”)

 

Version:7.2.3.1 (16 Apr 2014)  - cp023243.exe <- the latest and last version supporting W2K3 (provides fix for CVE-2014-0160 known as “Heartbleed”)

 

Version:7.3.1.4 (18 Feb 2014)

 

Version:7.3.0.9 (27 Nov 2013)

 

Version:7.2.2.9 (10 Sep 2013)  <- previous version supporting W2K3 x64

 

This causes the mess in VCAs on all W2K3 machines which report that they need 7.3.x.x version (as this is newer version than 7.2.x.x). This way all W2K3 servers will always have "red" status of VCA even if they have the latest supported software, which makes the VCA and then HP SIM useless for them...

Igor V Abzalov
Super Advisor

Re: Proliant DL 360 G5 & last version of Homepage (7.3.0.9)

Same error with 7.3.3.1 on Win 2003 x86! What HP will do with this?
Marcin_Trzyna
Occasional Advisor

Re: Proliant DL 360 G5 & last version of Homepage (7.3.0.9)

> Info update: state as at 2015-10-10 <

------------------------------------------

 

The latest (and quite probably the last) working version of HP System Management Homepage for Windows 2003 is version 7.2.6.3:

- for Windows 2003 x86 it is cp027468.exe

- for Windows 2003 x64 it is cp027469.exe